# $Revision: 1.34.2.4 $, $Date: 2003/04/10 20:13:47 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Mail
%define	pnam	Sender
Summary:	Mail::Sender - module for sending mails with attachments through an SMTP server
Summary(pl):	Mail::Sender - modu sucy do wysyania poczty z zacznikami za porednictwem serwera SMTP
Name:		perl-Mail-Sender
Version:	0.8.06
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-MIME-Base64
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Mail::Sender.config)' 'perl(Authen::NTLM)' 'perl(Digest::HMAC_MD5)'

%description
Mail::Sender provides an object oriented interface to sending mails.
It doesn't need any outer program. It connects to a mail server
directly from Perl, using Socket.

%description -l pl
Mail::Sender udostpnia zorientowany obiektowo interfejs do wysyania
poczty. Nie potrzebuje adnego zewntrznego programu. czy si
bezporednio z Perla z serwerem, korzystajc z moduu Socket.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} </dev/null

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Mail/Sender.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: perl-Mail-Sender.spec,v $
Revision 1.34.2.4  2003/04/10 20:13:47  ankry
- updated to 0.8.06
- informative summaries, new descriptions

Revision 1.34.2.3  2003/04/06 00:45:45  ankry
- don't require SMTP AUTH dependencies; rel. 2

Revision 1.34.2.2  2003/03/13 00:57:59  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.34.2.1  2003/03/08 23:22:31  ankry
- autoupdated to 0.8.05

Revision 1.34  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.33  2003/02/18 15:36:08  ankry
- massive attack: change CPAN URLs

Revision 1.32  2003/02/05 16:19:12  ankry
- autoupdated to 0.8.04

Revision 1.31  2003/01/08 12:47:05  mis
- autoupdated to 0.8.03

Revision 1.30  2002/09/30 15:58:52  ankry

_noautoreq perl(Mail::Sender.config)

Revision 1.29  2002/09/27 14:09:02  ankry
- added tests, translations; cleaning
- version 0.8.00, rel. 1
TODO: configure in %%post

Revision 1.28  2002/07/20 20:34:17  qboosh
- updated to 0.7.14.1

Revision 1.27  2002/07/12 09:04:38  qboosh
- new %%doc and cosmetics

Revision 1.26  2002/07/11 08:01:18  depesz
- new version; should work; STBR

Revision 1.25  2002/07/10 08:48:00  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.24  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.23  2002/02/25 10:32:46  depesz
cleanup; revision++

Revision 1.22  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/19 11:23:08  depesz
- new version, STBR

Revision 1.20  2002/02/13 14:18:15  depesz
automatic: Source location unified, Relase Up

Revision 1.19  2002/02/10 15:28:23  depesz
adapterized

Revision 1.18  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/07/25 09:09:56  mis
- autoupdated to 0.7.10

Revision 1.16  2001/06/29 16:28:23  mis
- autoupdated to 0.7.09

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:12:20  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/04/10 19:33:00  mis
- autoupdated to 0.7.08

Revision 1.11  2001/02/20 15:54:57  mis
- updated (by autoup) to 0.7.06

Revision 1.10  2001/01/11 02:10:11  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/10/11 06:30:12  depesz
najnowsze wersje.
